<?php

namespace MaagIT\MaagSupermailer\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Urs Maag <info@maagit.ch>, maagIT
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package supermailer
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Supermailer extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	// ============================================================================================================================================================= //
	//                                                                                                                                                               //
	// variables                                                                                                                                     //
	//                                                                                                                                                               //
	// ============================================================================================================================================================= //

	 /**
	 * error
	 * 
	 * @var string
	 */
	 protected $error = '';

	 /**
	 * salutation
	 * 
	 * @var string
	 */
	 protected $salutation = '';

	 /**
	 * lastname
	 * 
	 * @var string
	 */
	 protected $lastname = '';
	 
	 /**
	 * firstname
	 * 
	 * @var string
	 */
	 protected $firstname = '';
	 
	 /**
	 * email
	 * 
	 * @var string
	 */
	 protected $email = '';
	 
	
	// ============================================================================================================================================================= //
	//                                                                                                                                                               //
	// public methods                                                                                                                                                //
	//                                                                                                                                                               //
	// ============================================================================================================================================================= //

	/**
     * get error
     *
     * @param void
     * @return string	error
     */
	public function getError()	{
		return $this->error;
	}

	 /**
     * set the error
     *
     * @param string	error
     * @return void
     */
	 public function setError($error)	{
		$this->error = $error;
	}

	/**
     * get salutation
     *
     * @param void
     * @return string	salutation
     */
	public function getSalutation()	{
		return $this->salutation;
	}

	 /**
     * set the salutation
     *
     * @param string	salutation
     * @return void
     */
	 public function setSalutation($salutation)	{
		$this->salutation = $salutation;
	}

	/**
     * get firstname
     *
     * @param void
     * @return string	firstname
     */
	public function getFirstname()	{
		return $this->firstname;
	}

	 /**
     * set the firstname
     *
     * @param string	firstname
     * @return void
     */
	 public function setFirstname($firstname)	{
		$this->firstname = $firstname;
	}
	
	/**
     * get lastname
     *
     * @param void
     * @return string	lastname
     */
	public function getLastname()	{
		return $this->lastname;
	}

	 /**
     * set the lastname
     *
     * @param string	lastname
     * @return void
     */
	 public function setLastname($lastname)	{
		$this->lastname = $lastname;
	}
	
	/**
     * get email
     *
     * @param void
     * @return string	email
     */
	public function getEmail()	{
		return $this->email;
	}

	 /**
     * set the email
     *
     * @param string	email
     * @return void
     */
	 public function setEmail($email)	{
		$this->email = $email;
	}

}
?>